Is there a way to scale the planes to fit the current size of the model?

After scaling the model by a factor of .001, the planes are large and the model becomes very small. is there a way to scale the planes to fit the current size of the model

Answer
 
Comments 0

4 Answers

select the plane, grab a corner, and drag it in. Should work. You can certainly expand and shrink planes in non-scaled models in this way.

 
Comments 0

Hiding the planes will allow the model to fill the screen. The planes are usable when hidden, they are just not visible on the screen.

 
Comments 0

I agree with Mark and Dom.
If there are a lot of planes to adjust, then maybe a macro would help?
http://my.solidworks.com/reader/forumthreads/200658/autosize-planes-macro

Option Explicit

Sub main()

Dim swApp As SldWorks.SldWorks

Dim swModel As SldWorks.ModelDoc2

Dim swFeat As SldWorks.Feature

Dim PlaneCount As Long

Dim bRet As Boolean

Set swApp = Application.SldWorks

Set swModel = swApp.ActiveDoc

Set swFeat = swModel.FirstFeature

Do While Not swFeat Is Nothing

If "RefPlane" = swFeat.GetTypeName Then

bRet = swFeat.Select2(False, 0)

swApp.RunCommand swCommands_Auto_Size, ""

End If

Set swFeat = swFeat.GetNextFeature

Loop

End Sub

 
Comments 0